Source: terminatorx
Source-Version: 3.90-2
Severity: important
Tags: patch
Hi!
This package is using obsolete absolute paths when stating or calling
dpkg-statoverride. This has been a compatibility symlinks for a while
and got removed in dpkg 1.17.0, I'll reintroduce it in dpkg 1.17.22 but
will be removing it again in 1.18.x.
Please stop using absolute paths in maintainer scripts, as they will
suffer this kind of problem. For more info please see:
<https://lintian.debian.org/tags/command-with-path-in-maintainer-script.html>
although that lintian check does not currently trigger for this issue,
but it should.
Attached a patch fixing this, by always assuming that dpkg-statoverride
is present, which has been true for a very long time now.
Thanks,
Guillem
diff --git a/debian/postinst b/debian/postinst
index 5bd4240..109278e 100644
--- a/debian/postinst
+++ b/debian/postinst
@@ -15,21 +15,12 @@ umask 022
db_get terminatorx/suid_bin
suid="$RET"
-if [ -x /usr/sbin/dpkg-statoverride ] ; then
- if ! dpkg-statoverride --list /usr/bin/terminatorX > /dev/null ; then
- if [ "$suid" = "false" ] ; then
- chmod 0755 /usr/bin/terminatorX
- elif [ "$suid" = "true" ] ; then
- chmod 4755 /usr/bin/terminatorX
- fi
- fi
-else
+if ! dpkg-statoverride --list /usr/bin/terminatorX > /dev/null ; then
if [ "$suid" = "false" ] ; then
chmod 0755 /usr/bin/terminatorX
elif [ "$suid" = "true" ] ; then
chmod 4755 /usr/bin/terminatorX
fi
-
fi
db_stop